Alerts

List alerts

GET
/v1/alerts
AuthorizationBearer <token>

API key minted via POST /v1/api-keys (format mk_live_...)

In: header

Response Body

application/json

application/json

curl -X GET "https://api.mentio.dev/v1/alerts"
{
  "data": [
    {
      "id": "string",
      "name": "string",
      "enabled": true,
      "mode": "instant",
      "filter": {
        "keywordIds": [
          "string"
        ],
        "platforms": [
          "bluesky"
        ],
        "minRelevance": 100,
        "sentiments": [
          "positive"
        ],
        "intents": [
          "string"
        ],
        "excludeAuthors": [
          "string"
        ],
        "minFollowers": 0,
        "tags": [
          "string"
        ],
        "linkHosts": [
          "string"
        ],
        "languages": [
          "string"
        ],
        "automated": true
      },
      "schedule": {
        "hour": 23,
        "minute": 0,
        "timezone": "string",
        "skipEmpty": true,
        "weekday": 6
      },
      "event": "string",
      "channels": [
        {
          "id": "string",
          "kind": "slack",
          "label": "string"
        }
      ],
      "stats": {
        "sentLast7d": 0,
        "lastSentAt": "string",
        "nextRunAt": "string"
      },
      "createdAt": "string"
    }
  ]
}
{
  "error": {
    "code": "unauthorized",
    "message": "string",
    "requestId": "string",
    "retryAfterSeconds": 0
  }
}